Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
ai_mode
/
task_get
/
advanced
/
{id}
Get Google AI Mode SERP Advanced Results by id
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/google/ai_mode/task_get/advanced/{id} \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].id": "<string>",
  "tasks[].status_code": 123,
  "tasks[].status_message": "<string>",
  "tasks[].time": "<string>",
  "tasks[].cost": 123,
  "tasks[].result_count": 123,
  "tasks[].path": [
    "<string>"
  ],
  "tasks[].data": {},
  "tasks[].result": [
    "<string>"
  ],
  "tasks[].result[].keyword": "<string>",
  "tasks[].result[].type": "<string>",
  "tasks[].result[].check_url": "<string>",
  "tasks[].result[].item_types": [
    "<string>"
  ],
  "tasks[].result[].se_results_count": 123,
  "tasks[].result[].items_count": 123,
  "tasks[].result[].items": [
    "<string>"
  ],
  "tasks[].result[].items[].type": "<string>",
  "tasks[].result[].items[].markdown": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Task identifier in UUID format

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks_count
integer

The number of tasks in the tasks array

tasks_error
integer

The number of tasks in the tasks array returned with an error

tasks
string[]

Array of tasks

tasks[].id
string

Task identifier

tasks[].status_code
integer

Task status code

tasks[].status_message
string

Task status message

tasks[].time
string

Execution time, seconds

tasks[].cost
number

Cost of the task, USD

tasks[].result_count
integer

Number of elements in the result array

tasks[].path
string[]

URL path

tasks[].data
object

Contains the same parameters specified in the POST request

tasks[].result
string[]

Array of SERP results

tasks[].result[].keyword
string

Keyword received in the POST array

tasks[].result[].type
string

Search engine type in the POST array

tasks[].result[].check_url
string

Search URL with refinement parameters

tasks[].result[].item_types
string[]

Types of search results found in SERP

tasks[].result[].se_results_count
integer

Total number of results in SERP

tasks[].result[].items_count
integer

Number of results returned in the items array

tasks[].result[].items
string[]

Elements of search results found in SERP

tasks[].result[].items[].type
string

Type of element, such as ai_overview

tasks[].result[].items[].markdown
string

Content of the element in markdown format